package kr.co.zumo.app.lifeplus.view.fragment.signup;

import android.os.Bundle;
import android.support.annotation.NonNull;
import android.support.annotation.Nullable;
import android.support.v4.app.Fragment;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.Button;

import kr.co.zumo.app.R;
import kr.co.zumo.app.lifeplus.activity.SignUpActivity;

/**
 * SignUpStartFragment
 * <pre>
 * </pre>
 *
 * @author 하세미
 * @version 1.0
 * @history 하세미   [2018-09-21]   [최초 작성]
 * @since 2018-09-21
 */
public class SignUpStartFragment extends Fragment {

  private View itemView;

  @Override
  public void onCreate(@Nullable Bundle savedInstanceState) {
    super.onCreate(savedInstanceState);
  }

  @Nullable
  @Override
  public View onCreateView(@NonNull LayoutInflater inflater, @Nullable ViewGroup container, @Nullable Bundle savedInstanceState) {
    itemView = inflater.inflate(R.layout.fragment_sign_up_start, container, false);
    Button buttonAuthorization = (Button)itemView.findViewById(R.id.sign_up_mobile_authorization_button);
    buttonAuthorization.setOnClickListener(new View.OnClickListener() {
      @Override
      public void onClick(View view) {
        SignUpActivity signUpActivity = (SignUpActivity)getActivity();
        signUpActivity.onFragmentChanged(0);

      }
    });
    return itemView;
  }

  @Override
  public void onActivityCreated(@Nullable Bundle savedInstanceState) {
    super.onActivityCreated(savedInstanceState);
  }
}
